<!doctype html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<title>jQuery UI Dialog Example by codeofaninja.com</title>
		
		<!-- include you jquery ui theme -->
		<link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/themes/smoothness/jquery-ui.css" />
		
		<!-- you can have your own style -->
		<style>
		body {
			font-family: "Trebuchet MS", "Helvetica", "Arial",  "Verdana", "sans-serif";
			font-size: .8em;;
		}
		
		/* dialog div must be hidden */
		#basicModal{
			display:none;
		}
		</style>
		
	</head>
<body>

<!-- sample content in your page -->
<div>You can click the button to show the basic jQuery UI dialog box.</div>
<input type='button' value='Show basic dialog!' id='showDialog' />

<!-- 
	-this time, we don't have the dialog html in the body, it is in another url
	-we use the image loader to add some good effect when the system loads the url (after user click)
-->
<img src="images/ajax-loader.gif" id="imgLoader" style="display:none;" />

<!-- include the jquery library -->
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

<!-- include the jquery ui library -->
<script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

<script>
// show the dialog on click of a button
$( "#showDialog" ).click(function(){

	/* here you can specify the url */
	var url = "sample-page.php";
	
	/* container of the content loaded from a url */
	var tag = $("<div></div>");
	
	console.log("url: " + url);
	
	/* show the image loader */
	$('#imgLoader').show();
	
	$.ajax({
		url: url,
		success: function( data ) {
		
			tag.html(data).dialog({
				modal: true,
				title: "Content is loaded from a URL!",
				width: 600,
				height: 450
			}).dialog('open');

			/* hide the image loader */
			$('#imgLoader').hide();
			console.log("success!");
		}
	});
	
});
</script>

</body>
</html>